Bug 1474605 - SHE deployment and Kdump Integration not straightforward
SHE deployment and Kdump Integration not straightforward
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
4.1.3
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: nobody nobody
meital avital
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 23:06 EDT by Germano Veit Michel
Modified: 2018-05-01 04:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-11 02:02:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1360383 None None None 2017-08-11 02:17 EDT

  None (edit)
Description Germano Veit Michel 2017-07-24 23:06:48 EDT
Description of problem:

Objective: deploy SHE and have kdump integration enabled on first Hosted-Engine host (deployment host).

We start:

1. Deploy SHE
2. Host is added to RHV-M with default options (PM disabled, Kdump integration off).

Now to enable Kdump integration, we need to reinstall the host[1]. To do this, we need to switch it to maintenance mode. Not possible yet.

So moving ahead:

3. Add initial Data Domain
4. Add second Hosted-Engine Host
5. Migrate the Hosted-Engine VM to second host
6. Switch initial host to maintenance mode
7. Configure Power Management and Kdump Integration via Administration Portal
8. Reinstall the first host

This doesn't sound too logical, step 8 feels like a workaround, that host was just deployed minutes ago. It's not well documented for SHE and customers get confused.

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.3

Actual results:
- Process is not logical, host needs to be re-installed right after fresh installation.
- Impossible to enable Kdump integration if just 1 host in the SHE environment without falling back to manual steps.
- Admin Portal doesn't indicate host needs to be re-installed after checking the Kdump integration option.

Expected results: some improvements
- Enabling Kdump integration for the first host should be more straightforward and/or better documented.
- Could possibly pass Power Management options for the deployment host via hosted-engine-setup? Or kdump integration not depend on host-deploy.

Additional info:
[1] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/administration_guide/#sect-Host_Tasks
Comment 1 Sandro Bonazzola 2017-07-31 05:25:27 EDT
We are not going to expose every possible configuration for the hosts from the engine during the first host installation, so we are not going to do an exception for kdump. You'll be able to set the first host once the second one is deployed as you described. Single host hosted engine is not a supported configuration.

Note You need to log in before you can comment on or make changes to this bug.